Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 26009
Description

| have this bugs with the new offset tool (see the screenshots)
- Join style combobox is by default empty
- Moving the cursor can be counterintuitive (negative value to expand and positive value to decrease)

- Result can be strange

Also, this tool for polygon is enable only when you click on the border should be enabled wherever you click on the polygon

Associated revisions

Revision 45bfa50c - 2018-02-17 07:33 PM - Denis Rouzaud
[offset tool] fix #18115 improved offset calculation
- use QgsGeometry::contains for polygons (contains => negative offset)

- use the geometry part and not the whole geometry to find closest segment

History

#1 - 2018-02-15 07:42 PM - Denis Rouzaud

I'moniit!

Thanks for reporting.

#2 - 2018-02-17 06:25 PM - Denis Rouzaud

There is something strange with the polygon in your data. | can't edit the nodes of the small part and the geometry is invalid.

#3 - 2018-02-17 06:54 PM - Loic BARTOLETTI

Yes, see also #18116 (found testing your offset tool). The original geometry is a valid simple polygon

#4 - 2018-02-17 07:33 PM - Denis Rouzaud
- % Done changed from 0 to 100
- Status changed from Open to Closed
Applied in changeset commit:qgis|45bfa50cbacbh823901651679a98df9368da7fela.

#5 - 2018-02-21 05:52 PM - Giovanni Manghi
- Resolution set to fixed/implemented
